// Copyright 1993 by Jon Dart.  All Rights Reserved.

#ifndef __AFXWIN_H__
#include <afxwin.h>
#endif
#include "log.h"
#include "resource.h"

class ShowMovesDialog : public CDialog
{
// Construction
public:
        ShowMovesDialog(CWnd* pParent, Log &log);

// Dialog Data
        //{{AFX_DATA(ShowMovesDialog)
        enum { IDD = SHOWMOVES };
        CListBox        m_List;
        //}}AFX_DATA

// Implementation
protected:
        virtual void DoDataExchange(CDataExchange* pDX);        // DDX/DDV support

        // Generated message map functions
        //{{AFX_MSG(ShowMovesDialog)
        virtual BOOL OnInitDialog();
        //}}AFX_MSG
        DECLARE_MESSAGE_MAP() 
        
        Log &the_log;
};
